Subject: v3.10 - big endian core support

From: [email-masked] (jgq516 at gmail.com)
Date: Tue, 16 Jul 2013 16:00:40 +0800

On 07/15/2013 06:26 PM, Ben Dooks wrote:
> On 15/07/13 09:36, Thomas Petazzoni wrote:
>> Dear Ben Dooks,
>>
>> On Mon, 15 Jul 2013 09:03:28 +0100, Ben Dooks wrote:
>>
>>>> As for building a Thumb-2 kernel; just enable the option in 
>>>> menuconfig and
>>>> you're done. The compiler should "do the right thing".
>>>
>>> I can build it, I just don't have the time and hardware to give it a
>>> test at the moment. However it seems that changing to using 'rev16'
>>> instead of 'rev'. I will make the necessary changes and get this ready
>>> to go.
>>
>> I am willing to give some testing to early patches, if needed. Do not
>> hesitate to send me things to test.
>
> I've pushed out two new branches on git.baserock.org/delta/linux.git
> as:
>     baserock/311/be/core-v2
I have tested the 10 patches on this branch with latest mainline kernel 
(commit 47188d).
Vexpress a15 tc2 boards works with the combos: BE+LPAE on/off, 
BE+THUMB2+LPAE on and LE.

There are some conflicts existed between your patch set and latest kernel.

Thanks,
Xiao
>     baserock/311/be/atags-v2